giraph-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Manuel Lagang <manuellag...@gmail.com>
Subject Compiling latest code for cdh4
Date Mon, 02 Dec 2013 20:58:57 GMT
Hi,

I'm trying to move my giraph code to a cluster using cdh4, so I would to
compile against that hadoop version. I tried using the cdh4.1.2 profile
when compiling against the latest 1.1.0-SNAPSHOT
(SHA: 37bc2c80564b45d7e4ce95db76f5411a6b8bdb3a) via this command:

mvn -Dmaven.test.skip=true -Phadoop_cdh4.1.2 clean install

I had to ignore any dependency version conflicts by changing 2 lines in the
pom.xml that now look like:

<failBuildInCaseOfConflict>false</failBuildInCaseOfConflict>

I still get compilation errors though:

[ERROR]
/home/manuel/code/giraph/giraph-core/target/munged/main/org/apache/giraph/job/HaltApplicationUtils.java:[78,49]
unreported exception java.lang.InterruptedException; must be caught or
declared to be thrown
[ERROR]
/home/manuel/code/giraph/giraph-core/target/munged/main/org/apache/giraph/job/HaltApplicationUtils.java:[81,50]
unreported exception java.lang.InterruptedException; must be caught or
declared to be thrown

Can anyone confirm if they can get the cdh4.1.2 profile to compile as-is?
The actual version I want to eventually compile for is cdh4.2.0, does
anyone have any tips on how to get Giraph working on that?

Thanks,
Manuel Lagang

Mime
View raw message